public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/xapers/
Date: Tue, 14 May 2024 15:05:03 +0000 (UTC)	[thread overview]
Message-ID: <1715699099.6701e0d24f8155dabcb4f769ecaa0932f6b102a3.juippis@gentoo> (raw)

commit:     6701e0d24f8155dabcb4f769ecaa0932f6b102a3
Author:     William Pettersson <william <AT> ewpettersson <DOT> se>
AuthorDate: Mon Apr 15 20:14:53 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue May 14 15:04:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6701e0d2

app-text/xapers: add 0.9.3 and python 3.12

* Older versions don't support python 3.12

Closes: https://bugs.gentoo.org/929369
Signed-off-by: William Pettersson <william <AT> ewpettersson.se>
Closes: https://github.com/gentoo/gentoo/pull/36270
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-text/xapers/Manifest            |  1 +
 app-text/xapers/xapers-0.9.3.ebuild | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/app-text/xapers/Manifest b/app-text/xapers/Manifest
index a8381dc78764..a16ba7a583d1 100644
--- a/app-text/xapers/Manifest
+++ b/app-text/xapers/Manifest
@@ -1,2 +1,3 @@
 DIST xapers-0.9.0.tar.gz 159928 BLAKE2B d202a3835ccbcb1adfc2123ee40f6e1992e0c10f84cf57fc38eaae27134d649c94b5c625bf3a11ef2f4d119093fb1dcd99a923a9585d8e6b6b37ed9db7c15247 SHA512 0b2e32d215c64842a2d586c776d6cdfd2b77cd3081929c37dde9682fb61e8c58e374773ef33e1123087e8dcf655e12fd19db371005aaf31875492607d6494dd7
 DIST xapers-0.9.2.tar.bz2 155239 BLAKE2B 918ce421b154291deeb636b50c0dd0db2e523405d66105e3799a7abb054411b15b02cc5fa55e9667fb7c8fe98664778fb90e7c77aaa716b66c0f4dc4d463aae7 SHA512 73604490278bcdb228333dc677be12f6110cc11ab96a8a0d3c4590c5e6383d0869db2e82fbed88e4bf82fd997025ca831b6412bb00a54a7ab8ba3309b755d84b
+DIST xapers-0.9.3.tar.bz2 155307 BLAKE2B e448303ae6ee5fba41fd38814dc63d44b8b362f778677f55d8deecbb3b27572b7db5b4f274b5d33dc6d052b87b7379b34246eca6b182989511e5da635219be22 SHA512 84ef543b4fd3400ac796944e9baec92a4df9c09d2779184595cc582d2c91f6b8a9f500956d77266f733a830ca5416b3db8a189323781b7d5283ebfc8aece94b0

diff --git a/app-text/xapers/xapers-0.9.3.ebuild b/app-text/xapers/xapers-0.9.3.ebuild
new file mode 100644
index 000000000000..109bf8d24c21
--- /dev/null
+++ b/app-text/xapers/xapers-0.9.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2016-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Personal document indexing system"
+HOMEPAGE="https://gitlab.com/wpettersson/xapers/"
+SRC_URI="https://gitlab.com/wpettersson/${PN}/-/archive/${PV}/${P}.tar.bz2"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="app-text/poppler[utils]
+	dev-libs/xapian-bindings[python,${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pycurl[${PYTHON_USEDEP}]
+	dev-python/urwid[${PYTHON_USEDEP}]
+	x11-misc/xclip
+	x11-misc/xdg-utils"
+
+BDEPEND="dev-python/setuptools-scm[${PYTHON_USEDEP}]
+	test? ( ${RDEPEND} )"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+	cd test || die
+	./all || die
+}


             reply	other threads:[~2024-05-14 15:05 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-14 15:05 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-30 19:49 [gentoo-commits] repo/gentoo:master commit in: app-text/xapers/ Arthur Zamarin
2024-05-14 15:05 Joonas Niilola
2024-01-21  4:21 Sam James
2023-04-02 17:33 Sam James
2022-05-19  2:25 Sam James
2022-05-19  2:25 Sam James
2021-07-22  7:49 Joonas Niilola
2021-07-22  7:49 Joonas Niilola
2021-07-20 10:25 Joonas Niilola
2020-09-04 23:23 Sam James
2020-09-04 23:23 Sam James
2020-06-28 10:41 Joonas Niilola
2020-06-28 10:41 Joonas Niilola
2020-06-28 10:41 Joonas Niilola
2018-11-08 22:49 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1715699099.6701e0d24f8155dabcb4f769ecaa0932f6b102a3.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox